Contrib.Bcl.Ranges 1.0.0

Install-Package Contrib.Bcl.Ranges -Version 1.0.0
dotnet add package Contrib.Bcl.Ranges --version 1.0.0
<PackageReference Include="Contrib.Bcl.Ranges" Version="1.0.0" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add Contrib.Bcl.Ranges --version 1.0.0
The NuGet Team does not provide support for this client. Please contact its maintainers for support.
#r "nuget: Contrib.Bcl.Ranges, 1.0.0"
#r directive can be used in F# Interactive, C# scripting and .NET Interactive. Copy this into the interactive tool or source code of the script to reference the package.
// Install Contrib.Bcl.Ranges as a Cake Addin
#addin nuget:?package=Contrib.Bcl.Ranges&version=1.0.0

// Install Contrib.Bcl.Ranges as a Cake Tool
#tool nuget:?package=Contrib.Bcl.Ranges&version=1.0.0
The NuGet Team does not provide support for this client. Please contact its maintainers for support.

Contrib.Bcl.Ranges

This package polyfills the types required for the C# 8.0 feature Ranges on targets lower than netcoreapp3.0 and netstandard2.1. This includes:

  • .NET Framework - starting from net461
  • .NET Standard 2.0 Compatible Runtimes - this includes .NET Core 2.x

Usage

Add this to your csproj file:

<PackageReference Include="Contrib.Bcl.Ranges" Version="1.0.0-preview8.19405.3" />

and add this to the PropertyGroup:

<LangVersion>8.0</LangVersion>

Now we can start using this handy new language feature 😀

Console.WriteLine("Hello world!"[6..^1]); // world

NuGet packages (3)

Showing the top 3 NuGet packages that depend on Contrib.Bcl.Ranges:

Package Downloads
OpenMod.Core

Core service implementations for OpenMod

Daf.Core.Sdk

SDK for Daf.Core plugins.

Spectre.Terminals

A terminal abstraction with platform specific drivers.

GitHub repositories (1)

Showing the top 1 popular GitHub repositories that depend on Contrib.Bcl.Ranges:

Repository Stars
openmod/openmod
OpenMod .NET Plugin Framework
Version Downloads Last updated
1.0.0 6,231 7/1/2020

updated nuget dependencies